GET api/NTPrescreeningDiversion/GetPrescreeningDiversion?q={q}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
q

string

Required

Body Parameters

None.

Response Information

Resource Description

AsapResponseOfListOfPrescreeningDiversionDTO
NameDescriptionTypeAdditional information
isSuccess

boolean

None.

message

string

None.

jsonObj

Collection of PrescreeningDiversionDTO

None.

totalCount

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "isSuccess": true,
  "message": "sample string 2",
  "jsonObj": [
    {
      "Id": 1,
      "CorporationCode": "sample string 2",
      "EmployeeId": "sample string 3",
      "Answer1": true,
      "Answer2": true,
      "Answer3": true,
      "Answer4A": true,
      "Answer4B": true,
      "CaseNo": 1,
      "IsEmailNotificationSent": 1,
      "IsTextNotificationSent": true,
      "Reason": "sample string 4",
      "MessageQueueId": 1,
      "NotificationTypeId": 1,
      "UserName": "sample string 5",
      "ValidFlag": true,
      "DateCreated": "2026-06-20T07:12:09.7782688-07:00",
      "DateUpdated": "2026-06-20T07:12:09.7782688-07:00",
      "UserIDCreated": 9,
      "UserIDUpdated": 10,
      "CompanyCode": "sample string 11",
      "IsExcludeDiscount": true
    },
    {
      "Id": 1,
      "CorporationCode": "sample string 2",
      "EmployeeId": "sample string 3",
      "Answer1": true,
      "Answer2": true,
      "Answer3": true,
      "Answer4A": true,
      "Answer4B": true,
      "CaseNo": 1,
      "IsEmailNotificationSent": 1,
      "IsTextNotificationSent": true,
      "Reason": "sample string 4",
      "MessageQueueId": 1,
      "NotificationTypeId": 1,
      "UserName": "sample string 5",
      "ValidFlag": true,
      "DateCreated": "2026-06-20T07:12:09.7782688-07:00",
      "DateUpdated": "2026-06-20T07:12:09.7782688-07:00",
      "UserIDCreated": 9,
      "UserIDUpdated": 10,
      "CompanyCode": "sample string 11",
      "IsExcludeDiscount": true
    }
  ],
  "totalCount": 3
}